- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
Pending
Eldbus

## Functions
void | eldbus_pending_data_set (Eldbus_Pending *pending, const char *key, const void *data)
void * | eldbus_pending_data_get (const Eldbus_Pending *pending, const char *key)
void * | eldbus_pending_data_del (Eldbus_Pending *pending, const char *key)
void | eldbus_pending_cancel (Eldbus_Pending *pending)
const char * | eldbus_pending_destination_get (const Eldbus_Pending *pending)
const char * | eldbus_pending_path_get (const Eldbus_Pending *pending)
const char * | eldbus_pending_interface_get (const Eldbus_Pending *pending)
const char * | eldbus_pending_method_get (const Eldbus_Pending *pending)
void | eldbus_pending_free_cb_add (Eldbus_Pending *pending, Eldbus_Free_Cb cb, const void *data)
| Add a callback function to be called when pending will be freed.
void | eldbus_pending_free_cb_del (Eldbus_Pending *pending, Eldbus_Free_Cb cb, const void *data)
| Remove callback registered in eldbus_pending_free_cb_add().

## Detailed Description